OpenVDB: LeafNode< bool, Log2Dim >::Buffer Class Reference

OpenVDB 3.2.0

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | Friends | List of all members
LeafNode< bool, Log2Dim >::Buffer Class Reference

`#include <LeafNodeBool.h>`

## Public Types
typedef NodeMaskType::Word | WordType

## Public Member Functions
| Buffer ()
| Buffer (bool on)
| Buffer (const NodeMaskType &other)
| Buffer (const Buffer &other)
| ~Buffer ()
void | fill (bool val)
Buffer & | operator= (const Buffer &b)
const bool & | getValue (Index i) const
const bool & | operator[] (Index i) const
bool | operator== (const Buffer &other) const
bool | operator!= (const Buffer &other) const
void | setValue (Index i, bool val)
void | swap (Buffer &other)
Index | memUsage () const
WordType * | data ()
const WordType * | data () const

## Static Public Member Functions
static Index | size ()

## Static Public Attributes
static const Index | WORD_COUNT = NodeMaskType::WORD_COUNT

## Friends
class | ::TestLeaf
class | LeafNode

## Member Typedef Documentation

## § WordType

typedef NodeMaskType::Word WordType

## Constructor & Destructor Documentation

## § Buffer() [1/4]

Buffer | ( |  | ) |
| inline

## § Buffer() [2/4]

Buffer | ( | bool | on | ) |
| inline

## § Buffer() [3/4]

Buffer | ( | const NodeMaskType & | other | ) |
| inline

## § Buffer() [4/4]

Buffer | ( | const Buffer & | other | ) |
| inline

## § ~Buffer()

~Buffer | ( |  | ) |
| inline

## Member Function Documentation

## § data() [1/2]

WordType* data | ( |  | ) |
| inline

Return a point to the c-style array of words encoding the bits.

Warning
  This method should only be used by experts that seek low-level optimizations.

## § data() [2/2]

const WordType* data | ( |  | ) | const
| inline

Return a const point to the c-style array of words encoding the bits.

Warning
  This method should only be used by experts that seek low-level optimizations.

## § fill()

void fill | ( | bool | val | ) |
| inline

## § getValue()

const bool& getValue | ( | Index | i | ) | const
| inline

## § memUsage()

Index memUsage | ( |  | ) | const
| inline

## § operator!=()

bool operator!= | ( | const Buffer & | other | ) | const
| inline

## § operator=()

Buffer& operator= | ( | const Buffer & | b | ) |
| inline

## § operator==()

bool operator== | ( | const Buffer & | other | ) | const
| inline

## § operator[]()

const bool& operator[] | ( | Index | i | ) | const
| inline

## § setValue()

void setValue | ( | Index | i,
|  | bool | val
| ) |  |
| inline

## § size()

static Index size | ( |  | ) |
| inlinestatic

## § swap()

void swap | ( | Buffer & | other | ) |
| inline

## Friends And Related Function Documentation

## § ::TestLeaf

friend class ::TestLeaf
| friend

## § LeafNode

friend class LeafNode
| friend

## Member Data Documentation

## § WORD_COUNT

const Index WORD_COUNT = NodeMaskType::WORD_COUNT
| static

The documentation for this class was generated from the following file:

- LeafNodeBool.h